跳转到主要内容

Documentation Index

Fetch the complete documentation index at: https://docs.topify.ai/llms.txt

Use this file to discover all available pages before exploring further.

来源是 AI 服务商在回答跟踪的搜索词时所引用的域名。此端点在域名级别聚合项目中所有搜索词的引用数据。

列出来源

GET /projects/{project_id}/sources
返回带有引用次数的来源域名,分页并按 reference_count 降序排列。

路径参数

参数类型描述
project_idstring (UUID)项目 ID

查询参数

参数类型默认值描述
pageinteger1页码(从 1 开始)
page_sizeinteger50每页结果数(最小 1,最大 100)
duration_daysinteger7回溯天数
date_fromstring起始日期(YYYY-MM-DD
date_tostring结束日期(YYYY-MM-DD
providersstring以逗号分隔的 AI 服务商筛选
curl "https://topify-customer-api-production.up.railway.app/api/public/v1/projects/{project_id}/sources?page=1&page_size=50&duration_days=7" \
  -H "X-API-Key: tk_live_..."

响应

{
  "success": true,
  "data": [
    {
      "source_id": "s1t2u3v4-...",
      "domain": "techcrunch.com",
      "category": 1,
      "reference_count": 127
    },
    {
      "source_id": "w5x6y7z8-...",
      "domain": "forbes.com",
      "category": 1,
      "reference_count": 89
    }
  ]
}

SourceDomainResponse 字段

字段类型可空描述
source_idstring (UUID)No来源 ID
domainstringNo域名
categoryintegerNo域名类别 ID
reference_countintegerNo日期范围内所有搜索词的总引用次数
此端点的 data 字段是一个扁平数组(未包装在对象中)。分页中不包含 total 计数 —— 请持续获取页面直到返回空数组为止。